.TH wxTreebook 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxTreebook \- See external documentation: wxTreebook\&.
.SH DESCRIPTION
.LP
See external documentation: wxTreebook <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxTreebook()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxTreebook()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookwxtreebook>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxTreebook()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxTreebook()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookwxtreebook>\&.
.RE
.LP
.B
addPage(This::wxTreebook(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to addPage(This, Page, Text, [])\&.
.RE
.LP
.B
addPage(This::wxTreebook(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookaddpage>\&.
.RE
.LP
.B
advanceSelection(This::wxTreebook()) -> ok
.br
.RS
.LP
Equivalent to advanceSelection(This, [])\&.
.RE
.LP
.B
advanceSelection(This::wxTreebook(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {forward, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookadvanceselection>\&.
.RE
.LP
.B
assignImageList(This::wxTreebook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookassignimagelist>\&.
.RE
.LP
.B
create(This::wxTreebook(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxTreebook(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookcreate>\&.
.RE
.LP
.B
deleteAllPages(This::wxTreebook()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookdeleteallpages>\&.
.RE
.LP
.B
deletePage(This::wxTreebook(), Pos::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookdeletepage>\&.
.RE
.LP
.B
removePage(This::wxTreebook(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookremovepage>\&.
.RE
.LP
.B
getCurrentPage(This::wxTreebook()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookgetcurrentpage>\&.
.RE
.LP
.B
getImageList(This::wxTreebook()) -> wxImageList() (see module wxImageList)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookgetimagelist>\&.
.RE
.LP
.B
getPage(This::wxTreebook(), N::integer()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookgetpage>\&.
.RE
.LP
.B
getPageCount(This::wxTreebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookgetpagecount>\&.
.RE
.LP
.B
getPageImage(This::wxTreebook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookgetpageimage>\&.
.RE
.LP
.B
getPageText(This::wxTreebook(), N::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookgetpagetext>\&.
.RE
.LP
.B
getSelection(This::wxTreebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookgetselection>\&.
.RE
.LP
.B
expandNode(This::wxTreebook(), Pos::integer()) -> bool()
.br
.RS
.LP
Equivalent to expandNode(This, Pos, [])\&.
.RE
.LP
.B
expandNode(This::wxTreebook(), Pos::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {expand, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookexpandnode>\&.
.RE
.LP
.B
isNodeExpanded(This::wxTreebook(), Pos::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookisnodeexpanded>\&.
.RE
.LP
.B
hitTest(This::wxTreebook(), Pt::{X::integer(), Y::integer()}) -> {integer(), Flags::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookhittest>\&.
.RE
.LP
.B
insertPage(This::wxTreebook(), Pos::integer(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to insertPage(This, Pos, Page, Text, [])\&.
.RE
.LP
.B
insertPage(This::wxTreebook(), Pos::integer(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookinsertpage>\&.
.RE
.LP
.B
insertSubPage(This::wxTreebook(), Pos::integer(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to insertSubPage(This, Pos, Page, Text, [])\&.
.RE
.LP
.B
insertSubPage(This::wxTreebook(), Pos::integer(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookinsertsubpage>\&.
.RE
.LP
.B
setImageList(This::wxTreebook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebooksetimagelist>\&.
.RE
.LP
.B
setPageSize(This::wxTreebook(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebooksetpagesize>\&.
.RE
.LP
.B
setPageImage(This::wxTreebook(), N::integer(), ImageId::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebooksetpageimage>\&.
.RE
.LP
.B
setPageText(This::wxTreebook(), N::integer(), StrText::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebooksetpagetext>\&.
.RE
.LP
.B
setSelection(This::wxTreebook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebooksetselection>\&.
.RE
.LP
.B
changeSelection(This::wxTreebook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreebook\&.html#wxtreebookchangeselection>\&.
.RE
.LP
.B
destroy(This::wxTreebook()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
